> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plude.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts



## OpenAPI

````yaml get /accounts
openapi: 3.0.1
info:
  title: Plude
  description: Headless subscription management and recurring billing.
  termsOfService: https://plude.com/terms
  contact:
    name: Corporate Contact
    url: https://plude.com/contact
  license:
    name: License
    url: https://plude.com/license
  version: v4.2024.7.1
servers: []
security:
  - Bearer: []
paths:
  /accounts:
    get:
      tags:
        - Accounts
      summary: List accounts
      parameters:
        - name: filter
          in: query
          description: >-
            Optional filter(s) to apply. Multiple filters will be combined with
            'and'.
          schema:
            type: array
            items:
              type: string
        - name: orderby
          in: query
          description: Optional column to order by. Defaults to Id.
          schema:
            type: string
        - name: after
          in: query
          description: Paging token.
          schema:
            type: string
        - name: limit
          in: query
          description: Optional limit of response. Value between 1 and 100, defaults to 20.
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
            default: 20
        - name: x-environment
          in: header
          description: >-
            Configure which environment the request will handle. If the provided
            credentials do not allow access to this specified environment, a 403
            Forbidden response is returned.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountPaginationContainer'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    AccountPaginationContainer:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Account'
          nullable: true
          readOnly: true
        nextOffset:
          type: string
          nullable: true
          readOnly: true
        hasMore:
          type: boolean
          readOnly: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Account:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the account.
          format: uuid
        name:
          type: string
          description: Name of the account.
          nullable: true
        accountingCode:
          type: string
          description: ''
          nullable: true
        type:
          $ref: '#/components/schemas/AccountType'
        barred:
          type: boolean
          description: If true, the account cannot be used for booking.
      additionalProperties: false
    AccountType:
      enum:
        - asset
        - profitAndLoss
      type: string
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below.\r\n\r\nExample: \"Bearer 12345abcdef\""
      scheme: Bearer

````